image: registry.gitlab.com/sgallagher/dist-git-gating-tests/check_bz:latest

workflow:
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'

check-gitbz:
  stage: test
  tags:
    - gitbz
  script:
    - mkdir -p /tmp/tmpDM9_JT
    - git clone --no-single-branch -v https://pkgs.devel.redhat.com/cgit/rpms/sscg /tmp/tmpDM9_JT/sscg
    - /usr/bin/check_gitbz
  artifacts:
    paths:
      - "debug.log"
    when: always
    expire_in: 1 week
